API ReferenceComments
Subscribe to a comment thread's notifications
Subscribe the authenticated user to a comment thread to receive notifications about new replies.
Subscribe the authenticated user to a comment thread to receive notifications about new replies.
AuthorizationBearer <token>
Authenticate as a user with a personal access token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <personal-access-token>Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.
In: header
Path Parameters
owner*string
Length
1 <= lengthproject*string
Length
1 <= lengthbuildNumber*string
The build number
commentId*string
ID of any comment in the thread
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/string/builds/string/comments/string/subscription"{ "id": "string", "buildId": "string", "threadId": "string", "body": null, "text": "string", "author": { "id": "string", "slug": "string", "name": "string" }, "screenshotDiffId": "string", "anchor": { "type": "point", "x": 0, "y": 0 }, "pending": true, "resolvedAt": "string", "editedAt": "string", "createdAt": "string", "reactions": [ { "emoji": "string", "count": 0, "users": [ { "id": "string", "slug": "string", "name": "string" } ] } ]}